/*
 * Copyright (c) 1993 Addison-Wesley Publishing Company.
 * All rights reserved.  This source code is provided
 * for its instructional value, and is not guaranteed
 * for any particular purpose.
 */
/*
 * printargs.c, version 2.
 */
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

void
main(int argc, char *argv[])
{
	int i;
	char *cmd;

	/*
	 * Find the last occurrence of "/" in the command
	 * name. If "/" does not appear in the name, just
	 * set cmd to the beginning of the name.  Otherwise,
	 * set cmd to point one character past the "/".
	 */
	if ((cmd = strrchr(argv[0], '/')) == NULL)
		cmd = argv[0];
	else
		cmd++;

	/*
	 * Validate the number of command-line arguments.
	 */
	if (argc == 1) {
		fprintf(stderr, "usage: %s args...\n", cmd);
		exit(1);
	}

	/*
	 * Print the number of arguments followed by each
	 * argument on a separate line.
	 */
	printf("argc = %d\n", argc);
	for (i = 0; i < argc; i++)
		printf("argv[%d] = %s\n", i, argv[i]);
	exit(0);
}
